# Gimp.file_save

    @accepts(Gimp.RunMode, Gimp.Image, Gio.File, Gimp.ExportOptions)
    @returns(bool)
    def file_save(run_mode, image, file, options):
        # Python wrapper for gimp_file_save()

Saves a file by extension.

This procedure invokes the correct file save handler according to the file's extension and/or prefix. The options argument is currently unused and should be set to None right now.

run_mode

  The run mode.

image

  Input image.

file

  The file to save the image in.

options

  Export option settings.

Returns